%{?nodejs_find_provides_and_requires}
Name:                nodejs-array-differ
Version:             1.0.0
Release:             1
Summary:             Find values that are only present in the first input array
License:             MIT
URL:                 https://www.npmjs.com/package/array-differ
Source0:             https://github.com/sindresorhus/array-differ/archive/v%{version}/nodejs-array-differ-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(mocha)
%description
Create an array with values that are present in the first input
array but not additional ones.

%prep
%autosetup -n array-differ-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/array-differ
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/array-differ
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha

%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license license
%{nodejs_sitelib}/array-differ

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 1.0.0-1
- Package init
